﻿B4A=true
Group=Modules
ModulesStructureVersion=1
Type=Activity
Version=8.48
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private ACToolBarLight As ACToolBarLight
	Private TBSMain As TabStrip
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")

	Activity.LoadLayout("TabStrip")

	'Load tabstrip
	LoadTabStrip

	Dim BmpDraw As BitmapDrawable
		BmpDraw.Initialize(SharedCode.FontAwesomeToBitmap(Chr(0xF17B), 28, Colors.White)) 'Menu burger button

	ACToolBarLight.NavigationIconDrawable = BmpDraw
	ACToolBarLight.Title = "Main title"
	ACToolBarLight.SubTitle = "Sub title"
	ACToolBarLight.TitleTextColor = Colors.White
	ACToolBarLight.Color = Colors.RGB(3, 169, 244) 'Lighter Blue #03a9f4
	ACToolBarLight.InitMenuListener
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

'Sub Activity_KeyPress (KeyCode As Int) As Boolean
'	If KeyCode = KeyCodes.KEYCODE_BACK And Drawer.LeftOpen Then
'		Drawer.LeftOpen = False
'		Return True
'	End If
'	Return False
'End Sub

'TOOLBAR BURGER CLICKED - ROTATE BURGER
Sub ACToolBarLight_NavigationItemClick
	Log("Clicked")
End Sub

#Region  LOAD TABSTRIP AND HILIGHT SELECTED TAB 

'LOAD TABSTRIP
Sub LoadTabStrip
	'ADD TABS TO TABSTRIP
	TBSMain.LoadLayout("Blank", "Tab 1")
	TBSMain.LoadLayout("Blank", "Tab 2")
	TBSMain_PageSelected(0)

	'Set the Tabstrip indicator colour
	Dim Jo As JavaObject = TBSMain
		Jo.GetFieldJO("tabStrip").RunMethod("setIndicatorColor", Array(Colors.Gray))

	'FOR 2 TABS, SET EACH TAB TO 50% WIDTH
	For Each TBSLbl As Label In SharedCode.GetAllTabLabels(TBSMain)
		TBSLbl.Width = 50%x
	Next
End Sub

'TAB SELECT ROUTINE (HIGHLIGHT SELECTED TEXT)
Sub TBSMain_PageSelected (Position As Int)
	'Log($"Current page: ${Position}"$)
	Dim i As Int
	For Each lbl As Label In SharedCode.GetAllTabLabels(TBSMain)
		If i = Position Then lbl.TextColor = Colors.DarkGray Else lbl.TextColor = Colors.LightGray
		i = i + 1
	Next
End Sub

#End Region
